<< is2rc | FOSSEE_Signal_Processing_Toolbox | isfir >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > isallpass

# isallpass

Determine whether a filter is allpass.

### Syntax

    flag = isallpass(b, a)
    flag = isallpass(sos)
    flag = isallpass(..., tol)

### Parameters

b:

  Numerator coefficients of the filter.

a:

  Denominator coefficients of the filter.

sos:

  Second-order section matrix (K x 6).

tol:

  (optional) Tolerance used to determine when two numbers are close enough to be considered equal.

### Description

The `isallpass` function determines whether the given filter is an allpass filter. An allpass filter has a magnitude response of 1 for all frequencies.

### Examples

    k = [1/2, 1/3, 1/4, 1/5]
    [b, a] = latc2tf(k, 'allpass')
    flag_isallpass = isallpass(b, a)

### Authors

- Parthasarathi Panda (parthasarathipanda314@gmail.com)

Report an issue
<< is2rc | FOSSEE_Signal_Processing_Toolbox | isfir >>